%define	name	inkscape
%define version 0.46
%define	rel	5
%define release %mkrel %{rel}

Name:		inkscape
Summary:	A vector-based drawing program using SVG
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://inkscape.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}-icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  png-devel
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:	libgc-devel >= 6.4
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libxslt-devel >= 1.0.15
BuildRequires:	libgnomeprintui-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	gtkspell-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	python-devel
BuildRequires:	perl
BuildRequires:  perl-devel
BuildRequires:  loudmouth-devel
BuildRequires:	expat-devel
BuildRequires:	desktop-file-utils
BuildRequires:	lcms-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	autoconf2.5 automake
BuildRequires:	intltool
BuildRequires:	boost-devel
BuildRequires:	libpoppler-glib-devel
BuildRequires:	cairo-devel
BuildRequires:	libwpg-devel
BuildRequires:	imagemagick-devel
Requires: python-pyxml, python-lxml
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

%description
Inkscape is a SVG based generic vector-drawing program.

Inkscape uses W3C SVG as its native file format. It is therefore a very useful
tool for web designers and as an interchange format for desktop publishing.

%prep
%setup -q -a1
sed -i 's/gc_libs=""/gc_libs="-lpthread -ldl"/' configure
cd src/extension/script/CXX
ln -s ../CXX/ CXX

%build
intltoolize --force
aclocal
automake
autoconf
CPPFLAGS="`Magick++-config --cppflags`"
export CPPFLAGS
%configure2_5x \
	--disable-static \
	--with-python \
    	--enable-inkboard \
    	--disable-mmx \
	--with-gnome-print
#(peroyvind) for some weird reason -lpopt will be converted to /usr/lib/libpopt.so
# during build, hardcode real path in stead
perl -pi -e "s#-lpopt#%{_libdir}/libpopt.so#g" src/Makefile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Menu support
sed -i -e s/inkscape.png/inkscape/ $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
install -D -m 644 %{name}-48.png %{buildroot}/%_liconsdir/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}/%_iconsdir/%{name}.png
install -D -m 644 %{name}-16.png %{buildroot}/%_miconsdir/%{name}.png

# remove .la files
rm -f %{buildroot}/%{_libdir}/inkscape/plugins/*.la

%find_lang %{name}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape/
#%{_libdir}/inkscape
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Thu May 01 2008 Funda Wang <fundawang@mandriva.org> 0.46-5mdv2009.0
+ Revision: 199793
- rebuild

* Wed Apr 23 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.46-4mdv2009.0
+ Revision: 196789
- Add support for ImageMagick in BuildRequires. Sound inkscape configure detect
  is broken with Magick++.h, so need to pass through CPPFLAGS.

* Tue Apr 22 2008 Lev Givon <lev@mandriva.org> 0.46-3mdv2009.0
+ Revision: 196597
- lxml is needed to run Inkscape extensions.

* Sun Apr 20 2008 Pascal Terjan <pterjan@mandriva.org> 0.46-2mdv2009.0
+ Revision: 195955
- Add more missing buildrequires to get all features

* Sun Apr 20 2008 Pascal Terjan <pterjan@mandriva.org> 0.46-1mdv2009.0
+ Revision: 195913
- BuildRequires boost-devel
- Update to 0.46

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 0.45.1-5mdv2008.1
+ Revision: 163569
- add ubuntu patch to have it built against latest glib
- drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 Pascal Terjan <pterjan@mandriva.org> 0.45.1-4mdv2008.0
+ Revision: 89124
- Update BuildRequires as liblcms was renamed to lcms
- Drop icon extension in .desktop
- Have inkscape in the main part of the menu under KDE
- Fix build with new intltool
- Fix build with new sigc++

* Tue Jul 03 2007 Michael Scherer <misc@mandriva.org> 0.45.1-3mdv2008.0
+ Revision: 47534
- rebuild for new glib

* Fri Jun 22 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.45.1-2mdv2008.0
+ Revision: 43219
- Added autotools patch: update to work with current autotools scheme.
- Rebuild against new glib

* Tue May 15 2007 Funda Wang <fundawang@mandriva.org> 0.45.1-1mdv2008.0
+ Revision: 26827
- Patch1 merged upsream.
- New upstream version


* Sat Mar 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.45-2mdv2007.1
+ Revision: 148707
- Add patch from MDKSA-2007:069

* Mon Feb 05 2007 Pascal Terjan <pterjan@mandriva.org> 0.45-1mdv2007.1
+ Revision: 116515
- 0.45
- fix build with new GCC

* Tue Oct 24 2006 Pascal Terjan <pterjan@mandriva.org> 0.44.1-1mdv2007.0
+ Revision: 71737
- Buildrequires intltool
- 0.44.1
- Fix building with new automake
- Import inkscape

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 0.44-4mdv2007.0
- fix buildrequires
- rebuild for new cairomm

* Sat Aug 12 2006 Anssi Hannula <anssi@mandriva.org> 0.44-3mdv2007.0
- add BuildRequires: dbus-devel

* Sat Jul 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.44-2
- add BuildRequires: liblcms-devel

* Sat Jun 24 2006 Pascal Terjan <pterjan@mandriva.org>  0.44-1mdv2007.0
- 0.44
- Use XDG menu
- Drop P0 and P1 (fixed upstream)
- Remove --with-perl this is an experimental and broken currently useless
  build option

* Mon Jun 05 2006 Pascal Terjan <pterjan@mandriva.org>  0.43-5mdv2007.0
- BuildRequires expat-devel

* Sat Jun 03 2006 Pascal Terjan <pterjan@mandriva.org>  0.43-4mdv2007.0
- BuildRequires gnome-vfs-devel
- fix for gcc 4.1 (P0)
- apply upstream patch to not use freetype internals (P1)

* Thu Feb 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.43-3mdk
- require python-pyxml (#20099)

* Wed Jan 25 2006 Pascal Terjan <pterjan@mandriva.org>  0.43-2mdk
- Rebuild for new perl

* Mon Nov 21 2005 Michael Scherer <misc@mandriva.org> 0.43-1mdk
- New release 0.43
- activation of inkboard

* Tue Jul 26 2005 Pascal Terjan <pterjan@mandriva.org> 0.42-1mdk
- 0.42
- Drop P0, included upstream

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.41-5mdk
- work around weird problem when linking against popt (lib64)
- %%mkrel
- drop COPYING (package is GPL..)

* Fri May 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.41-4mdk
- Rebuild for new perl

* Tue Apr 05 2005 Pascal Terjan <pterjan@mandrake.org> 0.41-3mdk
- BuildRequires perl-devel for EXTERN.h

* Tue Mar 01 2005 Abel Cheung <deaddog@mandrake.org> 0.41-2mdk
- Fixes done by Tom Ph <tpgww@onepost.net>:
  o Patch (missing gnomeprint fn) from CVS
  o Add back gnomeprint support
  o Extra icons, menu icon
  o Requires, BuildRequires

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 0.41-1mdk
- New release
- Drop gnomeprint support (compile error)

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.40-2mdk
- Update BuildRequires

* Tue Nov 30 2004 Jerome Soyer <saispo@mandrake.org> 0.40-1mdk
- New release 0.40

* Tue Sep 21 2004 Jerome Soyer <saispo@mandrake.org> 0.39-4mdk
- Update BuildRequires

* Tue Sep 21 2004 Jerome Soyer <saispo@mandrake.org> 0.39-3mdk
- Added Autotrace and Frontline function

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 0.39-2mdk
- fix BuildRequires

* Thu Jul 22 2004 Michael Scherer <misc@mandrake.org> 0.39-1mdk
- New release 0.39
- remove patch 0, integrated upstream

* Sun Jun 20 2004 Abel Cheung <deaddog@deaddog.org> 0.38.1-4mdk
- Patch0: fix build against new gcc (CVS)

* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 0.38.1-3mdk 
- [DIRM]

* Fri Apr 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.38.1-2mdk
- fix deps

* Tue Apr 13 2004 Michael Scherer <misc@mandrake.org> 0.38.1-1mdk
- New release 0.38.1
- [DIRM]

